/**
 * Popins
 * 
 * WARNING : In case of modification -> used by MVC website !
 *
 * A popin is an element working like a new window ... but within the same window of the content.
 * It's a good way to have responsive feedback from the user without boring him with new window.
 * 
 * A popin is usually separated from the rest of the window by a semi-transparent layer.
 * 
 * <code>
 * <body>
 *  <div class="popin-page-background"></div>
 *  
 *  ...
 *  
 *  <div class="popin-wrapper">
 *    <div class="popin-container">
 *      <div class="popin-header">
 *        ...
 *      </div>
 *      
 *      <div class="popin-body">
 *        ...
 *      </div>
 *      
 *      <div class="popin-footer">
 *        ...
 *      </div>
 *    </div>
 *  </div>
 * </body>
 * </code>
 * 
 * @version 1.0
 * @author Thomas Parisot <tparisot@clever-age.com>
 * @author Nicolas Goueset <nicolas.goueset@cdiscount.com>
 * @package cdiscount-ui
 * @charset utf-8
 * @_dependency button.css
 * @_dependency badge.css
 * @_gfx        sprites/popin/popin.png
 */

/**
 * Page background layer
 * 
 * This layer produce the alpha-transparency effect and also avoid the user to click on elements behind the popins
 * 
 * @section popin background
 * @todo remove the .ra-falsebackground declaration because it's out of context
 */

*+html body { text-align: center; } /* To correct a positionning bug on IE7 when a_init.css is not loaded */

.popin-page-background{
  background: #808080;
  filter: alpha(opacity=50);
  height: 100%;
  left:0;
  opacity: 0.25;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10000;
}

.modalBackground{
  display: none;
}
.falseModalBackground{
  background-color: gray;
  border: 1px solid black;
  height: 100%;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 3;
  filter: alpha(opacity=30);
  opacity: 0.3;
  -moz-opacity: 0.3;
}

/**
 * Popin Wrapper
 * 
 * The wrapper is the underlying element containing all the popin elements (aka .popin-container)
 * 
 * @section popin wrapper
 */
.popin-wrapper,
.popin-wrapper-absolute,
.popin-wrapper-absolute-top5{
  font-family: Arial, sans-serif;
  position: fixed;
  text-align: center;
  top: 20%;
  width: 100%;
  z-index: 20001;         /* needs to be superior than .popin-page-background z-index value */
}
.popin-wrapper-absolute{
  left: 50%;
  margin-left: -50%;     /* half of width */
  position: absolute; /* when we have a big popin, we use absolute and not fixed position for netbook resolutions */
  top: 10%;         /* needs to be superior than .popin-page-background z-index value */
}

.popin-wrapper-absolute-top5{
  left: 50%;
  margin-left: -50%;     /* half of width */
  position: absolute; /* when we have a big popin, we use absolute and not fixed position for netbook resolutions */
  top: 5%;         /* needs to be superior than .popin-page-background z-index value */
}
/*
 * Specific properties for the popin page loading
 */
#waitPopin .popin-wrapper{top:50%;}

*+html #waitPopin .popin-wrapper{margin-left:-500px;}

/*IE 6*/
* html #AddToBasketPopin .popin-wrapper { /* ATTENTION, REPOSE SUR UN ID !! NE PAS MODIFIER LE NOM DE L'ID */
    top: 500px;
}

* html #productPopIn .popin-wrapper-container { /* ATTENTION, REPOSE SUR UN ID !! NE PAS MODIFIER LE NOM DE L'ID */
    top: 500px;
}
/*ie 7*/

*+html #AddToBasketPopin .popin-wrapper { /* ATTENTION, REPOSE SUR UN ID !! NE PAS MODIFIER LE NOM DE L'ID */
    margin-left:-500px;
}

*+html #productPopIn .popin-wrapper-container { /* ATTENTION, REPOSE SUR UN ID !! NE PAS MODIFIER LE NOM DE L'ID */
    position:fixed;
    margin-left:-1000px;
    top:50px;
}

.popin-wrapper-basket{
  position: absolute;
  text-align: center;
  width: 100%;
  left:0px;
  z-index: 20001;
}

*+html .popin-wrapper{ /*hack for IE7*/
  width: 1000px;
}
.popin-wrapper-shipping{
  cursor: default;
  position: absolute;
  right: 151px;
  top: 18px;
  width: 261px;
  z-index: 2;         /* needs to be superior than .popin-page-background z-index value */
  -webkit-box-shadow:1px 1px 10px #bbb;
  -moz-box-shadow:1px 1px 10px #bbb;
  box-shadow:1px 1px 10px #bbb;
}
/**
 * Popin container
 * 
 * It is the popin element itself, which is structured in 3 sub-elements:
 * - header
 * - body
 * - footer
 * 
 * A container can have additional classes to alter its behavior, espcially for alerts popin. Know types are:
 * - popin-type-alert
 * - popin-type-insurance
 * - popin-type-waranty
 * 
 * <code>
 *  <div class="popin-container popin-type-insurance">
 *    ...
 *  </div>
 * </code>
 * 
 * @section popin container
 * @bugfix
 * @affects IE6
 * @valid   no
 */
.popin-container {
  display: inline-block;    /* make it a block but inlined, to be centered */
  margin-right: 1.5em;
  position: relative;
  text-align: left;         /* canceling the wrapper centering */
  vertical-align: top;
  width: 373px;             /* size of the sprite */
}

.popin-container-medium {
  display: inline-block;    /* make it a block but inlined, to be centered */
  margin-right: 1.5em;
  position: relative;
  text-align: left;         /* canceling the wrapper centering */
  vertical-align: top;
  width: 550px;             /* size of the sprite */
}

.popin-container-large {
    margin:0 auto;
    position:relative;
    width:1000px;
}

    .popin-container-big  {
      margin: 0;
      width: 845px;
    }
    
.popin-container-shipping{
  display: inline-block;    /* make it a block but inlined, to be centered */
  margin-right: 1.5em;
  position: relative;
  text-align: left;         /* canceling the wrapper centering */
  vertical-align: top;
  width: 261px;             /* size of the sprite */
}

/*
 * Specific properties for the popin page loading
 */
#waitPopin .popin-container{
    margin-right:0;
    position:relative;
    width:215px;
}
/*
 * Resizable popin : width can be adjusted on the selector #waitPopin .popin-container
 * Rounded corners with a tiny css sprite
 */
#waitPopin .corner{
    background:url(https://i2.cdscdn.com/struct/popin/popin_round_corners.png) no-repeat;
    position:absolute;
    width:7px;
    height:7px;
}
#waitPopin .topLeft{
	background-position:0 0;
	top:0;
	left:0;
}
#waitPopin .topRight{
	background-position:-7px 0;
	top:0;
	right:0;
}
#waitPopin .bottomLeft{
	background-position:0 -7px;
	bottom:0;
	left:0;
}
#waitPopin .bottomRight{
	background-position:-7px -7px;
	bottom:0;
	right:0; 
}
#waitPopin .topLine,
#waitPopin .bottomLine{
    background:url(https://i2.cdscdn.com/struct/popin/popin_line.png) repeat-x 0 0;
    margin:0 7px;
    height:7px;
}
#waitPopin .bottomLine{background-position:0 -7px;}
/*
 * Animated loader
 */
#waitPopin .waitPopinLoaderImg{
    background:url(https://i2.cdscdn.com/struct/common/icon/loaderMedium.gif) no-repeat 50% 0;
    display:inline-block;
    height:32px;
    width:100%;
}

  /**
   * Popin header
   * 
   * This is the opening element of a .popin-container.
   * Its content is flexible and has 2 know behaviors:
   * - with a title bar
   * - without a title bar (+ a close button)
   * 
   * <code class="with-title">
   *  <div class="popin-container">
   *    <div class="popin-header">
   *      <span class="popin-header-title">Popin title</span>
   *    </div>
   *  
   *    ...
   *  </div>
   * </code>
   * 
   * <code class="without-title">
   *  <div class="popin-container">
   *    <div class="popin-header">
   *      <span class="popin-close"></span>
   *    </div>
   *  
   *    ...
   *  </div>
   * </code>
   * 
   * @section       popin container
   */
  .popin-header{
    background: url('https://i2.cdscdn.com/struct/popin/popin.png') 0 0 no-repeat;
    height: 35px;
    padding-top: 3px;       /* padding-top + height = 30px */
  }
  
   .popin-container-large .popin-header,
   .popin-container-big .popin-header{ /* to adapt twidth+height to the popin size */
        background: url(https://i2.cdscdn.com/struct/common/popin/repeat_bloc.png);
        height: 52px;
        width: 100%;
      }
  
  .popin-header-shipping{
    background: url(https://i2.cdscdn.com/struct/common/popin/popin.png) -861px 0 no-repeat;
    height: 20px;
    width: 261px;
  }

  /**
   * Popin body
   * 
   * The body contains the content of the popin, the messages
   * 
   * @section       popin container
   * 
   * @bugfix
   * @affects       IE6
   * @valid         yes
   */
  .popin-body{
    background: #fff url('https://i2.cdscdn.com/struct/popin/popin.png') 0 -18px no-repeat;
    height: auto !important;     /* preparing min-height fix for IE */
    height: 255px;               /* min-height for IE */
    padding: .5em 1em;
    position: relative;
  }
  
     .popin-container-big .popin-body, .popin-container-large .popin-body{
        background: #FFF;
	      display: inline-block;
        padding: 0 0 15px 0;
        width: 100%;
      }
  
  .popin-body-basket{
    background:url('https://i2.cdscdn.com/struct/popin/popin-basket-nq8.png') 0 bottom no-repeat;
    padding:0;
    position: relative;
  }
  .popin-body-shipping{
    background-color: #fff;
    border-left: 1px solid #a3aab5;
    border-right: 1px solid #a3aab5;
  }
  
  .TextPopin{
      color:#3C5080;
      font-family:Arial, sans-serif;
      font-size:12px;    
  }
  
  .TextHeaderPopin{
    color: #3C5080;
    font-size: 16px;
    font-weight: bold;
    top:15px;
    left :9px;
    position: absolute;   
  }

   /*
    * Specific properties for the popin page loading
    */
    #waitPopin .popin-body-wait{
        background:#fff;
        border-right:1px solid #8b97a6;
        border-left:1px solid #8b97a6;
        height:64px;
        padding:.5em 1em;
        position:relative;
    }

  /**
   * Popin footer
   * 
   * Basically nothing to do except closing the UI
   * Nothing should be contained in the element
   * 
   * @section       popin container
   */
  .popin-footer{
    background: url('https://i2.cdscdn.com/struct/popin/popin.png') 0 -283px no-repeat;
    height: 10px;
  }
  
  .popin-container-large .popin-footer { background:#FFFFFF; } 
  
  .popin-footer-shipping{
    background: url(https://i2.cdscdn.com/struct/common/popin/popin.png) -861px -729px no-repeat;
    height: 16px;
    padding: 3px 0 0 10px;
    width: 251px;
  }

  /*
   * Popin close button
   * 
   * It should be located in the .popin-header element
   * 
   * @section       popin container
   * @subsection    popin header
   */
  .popin-close, .popin-choice-close, .popin-close-fpmp{
    background: url(https://i2.cdscdn.com/struct/popin/popin.png) no-repeat scroll -23px -352px;
    cursor: pointer;
    display: block;
    height: 20px;
    position: absolute;
    right: 10px;
    top: 10px;
    width: 20px;
    z-index: 1010;
  }
  .popin-close-ship {
    background: url(http://i4.cdscdn.com/struct/common/icon/icone.gif) no-repeat scroll 46px -1400px transparent;
    color: #3C5080;
    cursor: pointer;
    display: block;
    font-size: 12px;
    font-weight: bold;
    height: 20px;
    line-height: 20px;
    min-width: 40px;
    padding: 0 27px 0 0;
    position: absolute;
    right: 15px;
    top: 15px;
}

  .popin-close-shipping{
    background: url(https://i2.cdscdn.com/struct/common/icon/icone.gif) no-repeat scroll -2px -1328px;
    cursor: pointer;
    display: block;
    height: 20px;
    position: absolute;
    right: 0;
    top: 0;
    width: 31px;
  }

  /**
   * Popin header title
   * 
   * It's a special container for the popin's title
   * 
   * @section       popin container
   * @subsection    popin header
   */
  .popin-header-title,
  .popin-container-big .popin-header-title{
    background: transparent url(https://i2.cdscdn.com/struct/popin/popin.png) no-repeat 0 -298px;
    color: #fff;
    display: block;
    font-size: 12px;
    font-weight: bold;
    line-height: 25px;
    height:25px;
    text-indent: 1.5em;
  }
  
    .popin-container-large .popin-header-title,
    .popin-container-big .popin-header-title{
        background: none;
        color: #3c5a80;
        font-size: 16px;
        line-height: 55px;
        height: 55px;
        text-indent: 15px;
      }
      
      .popin-container-large .popin-header-title{ line-height: 35px; }
  
  .popin-header-title-basket{
    color: #798DA8;
    display: block;
    font-size: 12px;
    font-weight: bold;
    height: 100%;
    line-height: 2.3;
    text-indent: 1.5em;
  }
  /*
   * Popin BODY elements
   */
  .popin-body p{
    margin: 0 0 .5em;
  }

  .popin-body ul,
  .popin-body ol{
    list-style-type: none;
    padding: 6px 0 0 0;
    text-align: left;
    margin: 0;
  }
    /**
     * Error message type
     * 
     * Holds an alert message, which has special UI display to warn user
     * 
     * <code>
     *   <div class="message-alert">
     *     <div class="message-alert-title">An error occured!</div>
     *     
     *     <p>Something strange happened. Sorry for that.</p>
     *   </div>
     * </code>
     * 
     * @section       popin container
     * @subsection    popin body
     */
    .message-alert{
      background: url(https://i2.cdscdn.com/struct/popin/popin.png) no-repeat scroll -15px -411px;
      color: #e92f0a;
      margin: 0 auto;
      min-height: 30px;
      padding : 0 0 0 40px;
      height: auto !important;    /* preparing min-height fix for IE */
      height: 30px;               /* min-height for IE */
      width: 280px;
    }
      .message-alert-title{
        font-size: 1.4em;
        line-height: 14px;
      }
      p.message-alert-title{
        margin-bottom: 0;         /* special cancelling of .popin-body p */
      }
      
    /**
     * Message
     * 
     * It's the standard container for generic messages.
     * 
     * <code>
     *   <div class="message">
     *     <p>Your text inside.</p>
     *     
     *     <ul>
     *       <li>Some item</li>
     *       ...
     *     </ul>
     *   </div>
     * </code>
     * 
     * @section       popin container
     * @subsection    popin body
     */
    .popin-message{
      font-size: 11px;
    }
    .popin-message p{
      font-size: 11px;
      padding:8px 0 0 0;
      font-weight:700;
    }
    .popin-message,
    .popin-message a,
    .popin-message a:link,
    .popin-message a:visited{
      color: #798da8;
    }
    .popin-message a:hover{
      text-decoration: none;
    }

    /**
     * Message introduction
     * 
     * This is a special message block to highlight some content.
     * It's display behavior makes it easy to use the available space (especially if a badge is used and needs to share the same row)
     * 
     * <code>
     *  <div class="popin-message-introduction">
     *    <p>Some text</p>
     *
     *    <p class="popin-message-title">Text very important, mostly highlighted</p>
     *  </div>
     * </code>
     * 
     * @section       popin container
     * @subsection    popin body
     */
    .popin-message-introduction{
      color: #3c5a80;
      display: inline-block;
      font-size: 10px;
      font-weight: bold;
      vertical-align: top;
    }
	.popin-message-introduction-basket{
	  display: block;
	}
     .popin-message-introduction p{
        text-align:center;
    }
      .popin-message-title{
        font-size: 13px;
      }
      p.popin-message-title{
        margin: 1.5em 0;          /* overriding .popin-body p by declaration weight */
      }      
	  .popin-message-image{
	  padding:0 10px;
	  display:block;
	  float:left;
	  }
      .popin-message-title-basket{
		font-size: 13px;
		color:#3C5A80;
		margin:0 auto;
		padding:10px 20px;
		display:block;
		text-align:center;
      }
    /*
     * Specific properties for the popin page loading
     */
    #waitPopin .popin-message-introduction{
        display:block;
        text-align:center;
    }
    #waitPopin .popin-message-title{
        font-size:11px;
        font-weight:normal;
        margin:1.5em 0 0;
    }

    /*
     * Badge
     * 
     * Special adjustments for a badge included in a popin
     * 
     * @see badge.css
     * @section       popin container
     * @subsection    popin body
     */
    .popin-body .badge{
      margin-bottom: 10px;
      margin-right: 20px;
    }
    
    /*
     * Legend
     * 
     * This is a simple module to make a list legendable (used first for displaying a CGU link alongside items)
     * 
     * <code>
     *  <ul class="with-legend">
     *    <li>item 1</li>
     *    <li>item 2</li>
     *    <li class="legend">legend item</li>
     *  </ul>
     * </code>
     * 
     * @section       popin container
     * @subsection    popin body
     * @todo          someday, put that somewhere else, as it's not necessarily only related to popin
     */
    .with-legend{
      position: relative;
    }
      .with-legend .legend{
        bottom: 0;
        font-size: .8em;
        font-style: italic;
        list-style: none;
        position: absolute;
        right:0;
      }

    /*
     * Buttons wrapper
     * 
     * Holder for buttons elements
     * 
     * @see button.css
     */
    .popin-buttons{
      bottom: 0;
      margin: 1.5em 0 0;
      position: absolute;
      text-align: center;
      width: 350px;
    }
    .popin-buttons-basket
    {
		padding:2em 0 1em 15px;
		clear:both;
    }
    /*
     * Popin body specifics
     */
    .popin-type-insurance .popin-message-title{
      color: #ff2a00;
    }
    .popin-type-waranty .popin-message-title{
      color: #b400ff;
    }
      
  /*
   * Special overrides depending on popin type
   */
    /*
     * Alert
     */
    .popin-type-alert .popin-body{
      min-height: 100px;
      height: auto !important;    /* preparing min-height fix for IE */
      height: 100px;              /* min-height for IE */
      padding-top: 0;
    }
    /*
     * Special Phone options popup
     */
    .ps-popin-phone-message
    {
        color:#3c5a80;
    }
    .ps-popin-phoneOptionContainer
    {
        border-bottom:1px solid #d8dee6;
        height:14px;
        margin-bottom:6px;
    }
    .ps-popin-phoneOptionTitle
    {
        background-color:#fff;
        clear:both;
        float:left;
        height:20px;
        line-height:20px;
        padding-right:5px;
        text-align:left;
    }
    .ps-popin-phoneOptionPrice
    {
        background-color:#fff;
        float:right;
        height:20px;
        line-height:20px;
        padding-left:5px;
	    font-weight:bold;
	    font-size:16px;
	    color:#ff0000;
	    text-align:right;
    }
    
/**
 ****************************************************************************************************
 * share popin content
 * 
 * @todo remplacer l image de messenger
 */
.popin-share{
    height: 92px;
    margin: 28px 20px 16px 10px;
}
.popin-share-item{
    background: url(https://i2.cdscdn.com/struct/productsheet/Share/bouton-partager.png) no-repeat;
    float: left;
    height: 29px;
    margin: 0 0 12px 12px;
    padding: 10px 0 0 0;
    text-align: center;
    width: 147px;
}
.messengerimage{
    border-style: none; 
    margin-right: 4px;
    vertical-align: middle; 
}
.messengerLogo{
	background: url(https://i2.cdscdn.com/struct/productsheet/Share/icone-messenger.png);
	display: block;
	height: 19px;
	margin: 0 auto;
	width: 83px;}
.sentofriendbig{
    background: url(https://i2.cdscdn.com/struct/productsheet/Share/icone-mail.png) no-repeat;
    display: block;
    height: 16px;
    line-height: 16px;
    margin: 2px auto 0 auto;
    padding: 0 0 0 38px;
    width: 87px;
    cursor: pointer;
}

/**
 * Ajout du cartouche MarketPlace dans la minin fiche produit
 */
.productPopinLeftContent .cartoucheMp{
    margin: 11px 11px 19px 11px;
}

/** "Fluidification" en hauteur des popins customerZone (a adapter a terme a toutes les popins quand du temps sera degage **/

.popinCustomerZone .popin-container { margin:0; }

.popinCustomerZone .popin-body {
    min-height:0;
    height:auto;
    padding:0 5px 30px;
}

.popinCustomerZone .popin-message-title { margin:0 0 20px; }

.popin-voucher .popin-header,
.popin-voucher .popin-body,
.popin-voucher .popin-footer { background: #FFF; }

.popin-voucher p { margin-bottom: 1.3em; }

.popin-voucher  
{
    margin-left: -20%;
    width: 425px;
}

.popinVoucherError {
    color: red;
    font-weight: bold;
}

.popinVoucherTitle {
    margin-left: 13px;
    font-weight: bold;
    margin-top: 11px;
    font-size: 1.3em;
}

.popinVoucherCloseTxt {
    font-weight: bold;
    position: absolute;
    right: 35px;
    top: 11px;
}

.popinVoucherCloseButton{
    font-size: 14px;
    line-height: 15px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    color: #3c5981;
    border: 1px solid #adb5bc;
    background: url(http://i4.cdscdn.com/struct/buttons/buttonGradients.png) 0 -100px #fefeff;
    background: -moz-linear-gradient(top,#fefeff 0,#ced6df 100%);
    background: -webkit-gradient(linear,left top,left bottom,color-stop(0%,#fefeff),color-stop(100%,#ced6df));
    background: -webkit-linear-gradient(top,#fefeff 0,#ced6df 100%);
    background: -o-linear-gradient(top,#fefeff 0,#ced6df 100%);
    background: -ms-linear-gradient(top,#fefeff 0,#ced6df 100%);
    background: linear-gradient(to top,#fefeff 0,#ced6df 100%);
    text-shadow: 0 -1px 1px #fff;
    padding: .3em 1.5em .4em;
    margin-left: 35%;
    cursor: pointer;
}

.popinPointRelayChoice
{
    border-left: 3px solid;
    color: #3C5A80;
    height: 25px;
    margin: 12px auto auto;
    width: 23%; 
}

.pointPaymentRelay
{
    font-family: arial, sans-serif;
    font-size: 16px;
    font-weight: bold;
    line-height: 26px;
    padding-left: 7px;
    text-align: center;
    text-indent: 16px;
}


.popin-header-title-geoloc{
    font-size: 1.4em;
    text-indent: .75em;
    color: #3C5A80;
    display: block;
    font-weight: bold;
    height: 100%;
    line-height: 2.3;
}

.popin-type-alert-geoloc .popin-body{
    font-size: 1.1em;
    height: auto !important;
    min-height: 30px;
    color: #3C5A80;
}

.popin-type-alert-geoloc .txtClose {
color: #3C5080;
background-position: 18px -352px;
line-height: 20px;
font-size: .9em;
width: 60px;
}
